org.springframework.web.reactive.function

## Interface BodyInserter<T,M extends org.springframework.http.ReactiveHttpOutputMessage>

Type Parameters:
  `T` - the type of data to insert
  `M` - the type of `ReactiveHttpOutputMessage` this inserter can be applied to

All Known Subinterfaces:
  BodyInserters.FormInserter<T>, BodyInserters.MultipartInserter

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface BodyInserter<T,M extends org.springframework.http.ReactiveHttpOutputMessage>

A combination of functions that can populate a `ReactiveHttpOutputMessage` body.

Since:
  5.0
Author:
  Arjen Poutsma
See Also:
  `BodyInserters`

### Nested Class Summary

Nested Classes
`static interface` `BodyInserter.Context` Defines the context used during the insertion.

### Method Summary

All Methods Instance Methods Abstract Methods
`reactor.core.publisher.Mono<Void>` `insert(M outputMessage, BodyInserter.Context context)` Insert into the given output message.

### Method Detail

#### insert

    reactor.core.publisher.Mono<Void> insert(M outputMessage,
                                             BodyInserter.Context context)

Insert into the given output message.

Parameters:
  `outputMessage` - the response to insert into
  `context` - the context to use
Returns:
  a `Mono` that indicates completion or error